Please use the Apache issue tracking system for new NetBeans issues (https://issues.apache.org/jira/projects/NETBEANS0/issues) !!
Bug 92155 - Compilation errors from generated WS client code
Compilation errors from generated WS client code
Status: VERIFIED FIXED
Product: javame
Classification: Unclassified
Component: Web Services
6.x
All Windows XP
: P1 (vote)
: 6.x
Assigned To: Michal Skvor
issues@mobility
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2007-01-09 19:29 UTC by pcmreddy
Modified: 2007-03-13 19:39 UTC (History)
0 users

See Also:
Issue Type: DEFECT
:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description pcmreddy 2007-01-09 19:29:11 UTC
NB 6.0 + NB 6.0 Mobility Pack with JDK 1.5.0_11 on XP.

How to Reproduce
Create new MobileApplication1. Select all default values.
Add a J2ME webservice client.
Using the following WSDL 
"http://www.swanandmokashi.com/HomePage/WebServices/StockQuotes.asmx?WSDL"

Now try to compile the project.
Observed the following errors.

Compiling 3 source files to G:\tmp\MobileApplication1\build\compiled
G:\tmp\MobileApplication1\src\stockquotes\StockQuotes.java:8: cannot find symbol
symbol  : class GetQuotesResult
location: interface stockquotes.StockQuotes
    public GetQuotesResult GetStockQuotes( String QuoteTicker ) throws
java.rmi.RemoteException;
G:\tmp\MobileApplication1\src\stockquotes\StockQuotes_Stub.java:60: cannot find
symbol
symbol  : class GetQuotesResult
location: class stockquotes.StockQuotes_Stub
    public GetQuotesResult GetStockQuotes( String QuoteTicker ) throws
java.rmi.RemoteException {
G:\tmp\MobileApplication1\src\stockquotes\StockQuotes_Stub.java:78: cannot find
symbol
symbol  : class Quote
location: class stockquotes.StockQuotes_Stub
        Quote[] result;
G:\tmp\MobileApplication1\src\stockquotes\StockQuotes_Stub.java:84: cannot find
symbol
symbol  : class Quote
location: class stockquotes.StockQuotes_Stub
            result = new Quote[resultArraySize];
G:\tmp\MobileApplication1\src\stockquotes\StockQuotes_Stub.java:89: cannot find
symbol
symbol  : class Quote
location: class stockquotes.StockQuotes_Stub
                    result[ resultArrayIndex ] = new Quote();
5 errors
G:\tmp\MobileApplication1\nbproject\build-impl.xml:148: Compile failed; see the
compiler error output for details.
Comment 1 Lukas Hasik 2007-01-10 19:29:34 UTC
another webservice that fails on compilation -
http://www.oorsprong.org/websamples.countryinfo/CountryInfoService.wso?WSDL
Comment 2 Lukas Hasik 2007-01-15 13:04:40 UTC
still issue in 070115
Comment 3 Michal Skvor 2007-01-15 16:36:46 UTC
The fix for the bug is very complex. For the milestone 6 the functionality is
very limited. Only primitive types as parameters are functional. Fix going to be
delivered during the milestone 7 phase.
Comment 4 Michal Skvor 2007-02-05 16:02:29 UTC
Fixed
Comment 5 Lukas Hasik 2007-02-06 16:53:28 UTC
seems that it works in 070206
Comment 6 Lukas Hasik 2007-02-12 15:34:28 UTC
the generation for WSDLs mentioned in previous comments works however I have to
reopen it. It generates wrong interfaces for following WSDL 
http://www.interpressfact.net/webservices/getJoke.asmx?wsdl
Comment 7 Michal Skvor 2007-02-12 16:39:38 UTC
Fixed.
Comment 8 Lukas Hasik 2007-02-16 09:37:30 UTC
verified in 070215
Comment 9 pcmreddy 2007-03-13 19:39:53 UTC
Verified compilation. 
How ever Visual midlet generation is failed. Another issue is filed on this problem.


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2014, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo